Switch system requirements

You have reached the support section of Enfocus.com. This content is only available in English.

Switch 2018

Switch 2018 Switch 2018 update 1 Switch 2018 update 2 Switch 2018 update 3

Processor

Dual Core Dual Core Dual Core Dual Core
RAM (minimum) 4 GB 4 GB 4 GB 4 GB
RAM (recommended) 2 GB per core 2 GB per core 2 GB per core 2 GB per core

Microsoft® Windows 7 (64-bit*)

               
Microsoft® Windows® 8.1 (64-bit*)                
Microsoft® Windows® 10 (64-bit*)                
Microsoft® Windows® 2008 Server R2        
Microsoft® Windows® 2012 Server (64-bit*)                
Microsoft® Windows® 2012 Server R2
(64-bit*)
               
Microsoft® Windows® 2016 Server (64-bit*)                
Mac OS® X 10.9 (Mavericks)        
Mac OS® X 10.10 (Yosemite**)        
Mac OS® X 10.11 (El Capitan**)              
Mac OS® X 10.12 (Sierra**)                  
Mac OS® X 10.13 (High Sierra**)                  
Mac OS® X 10.14 (Mojave**)
Dark Mode is NOT supported
           
Virtual machines: VMWare, Hyper-V                  

Enfocus PitStop Server Versions

Learn more Learn more Learn more Learn more
Chrome                  
Firefox                  
Safari                  
Edge                  

 

 

* 32-bit operating systems are no longer supported from Switch 2017 onwards.
** OSX Server is an app for the regular OSX version; hence it is not considered a separate OS. If the base OSX version is supported, then the base OSX version including the OSX Server app is supported.

Go to PDF Review Module Server System Requirements

 

Previous versions